Bug 111821 - latest up2date broke applications with glibc
latest up2date broke applications with glibc
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-10 11:36 EST by Andy Obusek
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-12 06:03:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Obusek 2003-12-10 11:36:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
Upon performing up2date on Decemember 9, up2date installed these packages:

kernel-source-2.4.20-24.8.i386.rpm
XFree86-4.2.1-23.i386.rpm
XFree86-100dpi-fonts-4.2.1-23.i386.rpm
XFree86-75dpi-fonts-4.2.1-23.i386.rpm
XFree86-Mesa-libGL-4.2.1-23.i386.rpm
XFree86-Mesa-libGLU-4.2.1-23.i386.rpm
XFree86-base-fonts-4.2.1-23.i386.rpm
XFree86-devel-4.2.1-23.i386.rpm
XFree86-font-utils-4.2.1-23.i386.rpm
XFree86-libs-4.2.1-23.i386.rpm
XFree86-tools-4.2.1-23.i386.rpm
XFree86-truetype-fonts-4.2.1-23.i386.rpm
XFree86-twm-4.2.1-23.i386.rpm
XFree86-xauth-4.2.1-23.i386.rpm
XFree86-xdm-4.2.1-23.i386.rpm
XFree86-xfs-4.2.1-23.i386.rpm
ethereal-0.9.16-0.80.1.i386.rpm
glibc-2.3.2-4.80.8.i686.rpm
glibc-common-2.3.2-4.80.8.i386.rpm
glibc-devel-2.3.2-4.80.8.i386.rpm
glibc-utils-2.3.2-4.80.8.i386.rpm
iproute-2.4.7-7.80.1.i386.rpm
net-snmp-5.0.9-2.80.1.i386.rpm
net-snmp-utils-5.0.9-2.80.1.i386.rpm
nscd-2.3.2-4.80.8.i386.rpm
pan-0.13.4-1.i386.rpm
rsync-2.5.7-0.8.i386.rpm
stunnel-3.26-1.8.0.i386.rpm

Now, most of my graphical applications will not open.  The common
error is:
(eclipse:1289): GLib-GObject-WARNING **: specified class size for type
`PangoXftFontMap' is smaller than the parent type's `PangoFontMap' class s
ize

(eclipse:1289): GLib-GObject-CRITICAL **: file gobject.c: line 812
(g_object_new): assertion `G_TYPE_IS_OBJECT (object_type)' failed
Segmentation fault

Broken Applcations include : Mozilla 1.5 Eclipse 2.1  gnome-terminal xfce
Working Apps are : Mozilla Firebird, xmms, dbvisualizer, xterm


Version-Release number of selected component (if applicable):
glibc-2.3.2-4.80.8

How reproducible:
Always

Steps to Reproduce:
1.simply attempt to open the broken applications
2.
3.
    

Actual Results:  (eclipse:1289): GLib-GObject-WARNING **: specified
class size for type `PangoXftFontMap' is smaller than the parent
type's `PangoFontMap' class s
ize

(eclipse:1289): GLib-GObject-CRITICAL **: file gobject.c: line 812
(g_object_new): assertion `G_TYPE_IS_OBJECT (object_type)' failed
Segmentation fault

Expected Results:  The application should have opened instead of seg
faulting.

Additional info:
Comment 1 Jakub Jelinek 2004-01-12 06:03:19 EST
That means you likely have stale or broken libraries lying around
in directories searched specified in /etc/ld.so.cache which ldconfig
now picks up before the correct ones in /usr/lib or /lib.
Find those libs (e.g. if you look at ldconfig -p output searching
for duplicates where one library is in /lib/* or /usr/lib/* and
another one in some dir outside of these 2 trees) and remove them,
they are certainly not part of the distro.
Alternatively, edit /etc/ld.so.conf, add /lib and /usr/lib before
all other directories and rerun ldconfig.

Note You need to log in before you can comment on or make changes to this bug.